import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * もっともありふれたファイル入出力の動作テスト． 日本語等は文字コードに依存するので US-ASCII範囲のみ限定．
 * 
 * @author kaiya
 * 
 */
public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String inFile = "input.txt";
		String outFile = "output.txt";

		try {
			// 入力準備
			FileReader fr = new FileReader(inFile);
			BufferedReader br=new BufferedReader(fr);
			// 出力準備
			FileWriter fw=new FileWriter(outFile);
			BufferedWriter bw=new BufferedWriter(fw);
			PrintWriter pw=new PrintWriter(bw);
			// 読んで書く
			String s;
			while((s=br.readLine())!=null){
				pw.println("> "+s);
			}
			pw.close();
			br.close();
		} catch(FileNotFoundException fnfe){
			System.err.println("File not found in FileReader");
		} catch (IOException ioe) {
			System.err.println("IO problems in FileWriter or BufferedReader.readLine");
		}
	}

}
